Loading...
Searching...
No Matches
Opm::ParserRecord Class Reference

## Public Member Functions

size_t | size () const
void | addItem (ParserItem)
void | addDataItem (ParserItem item)
const ParserItem & | get (size_t index) const
const ParserItem & | get (const std::string &itemName) const
DeckRecord | parse (const ParseContext &, ErrorGuard &, RawRecord &, UnitSystem &active_unitsystem, UnitSystem &default_unitsystem, const KeywordLocation &location) const
bool | isDataRecord () const
bool | equal (const ParserRecord &other) const
bool | hasDimension () const
bool | hasItem (const std::string &itemName) const
std::vector< ParserItem >::const_iterator | begin () const
std::vector< ParserItem >::const_iterator | end () const
bool | operator== (const ParserRecord &) const
bool | operator!= (const ParserRecord &) const
bool | rawStringRecord () const
const std::string & | end_string () const

The documentation for this class was generated from the following files:

- opm/input/eclipse/Parser/ParserRecord.hpp
- opm/input/eclipse/Parser/ParserRecord.cpp